LIISTEN(1)

NAME
liisten - listen to BRSTM (and other file formats supported by mpv and vgmstream) comfortably, solely through the terminal.

SYNOPSIS
liisten [ -f, -h, -io, -r, -s ]

DESCRIPTION
liisten will read the argument given and adjust its bahvior accordingly. It is essentially a wrapper script for the tools vgmstream-cli, vgmstream123, and mpv.

ARGUMENTS

-f
A user selected song will play until the user terminates it. The song is selected through fzf, which is searching through a user's given music directory. The default is $HOME/music/brstm/, however, the directory can easily be changed by editing the script itself.

-h  Print a help message with a quick synopsis on what each option does.

-io Play each song in the music folder (by default $HOME/music/brstm) in alphabetical order.

-r  Play each song in the music folder in a random order. This mode continues playing until suspended by the user.

-s  Select each song to play through fzf.

AUTHORS
liisten was written by Swindles McCoop.